<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('game_lists', function (Blueprint $table) {
            $table->string('name')->after('game_id');
            $table->integer('platform_id')->after('name')->index();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('game_lists', function (Blueprint $table) {
            $table->dropColumn('name');
            $table->dropColumn('platform_id');
        });
    }
};
